# The "im" Package

These routines are meant to provide low level initialisation for a module.

Library: karma
Link With: -lkarma

#### Functions

im_register_module_name | Register a new name for the module.
im_register_module_version_date | Register a new version date for the module.
im_register_lib_version | Register the library version a module was compiled with.

## Functions

void im_register_module_name (char *name_string)

Register a new name for the module.

Parameters:

- name_string : The name string.

Returns: Nothing.
Multithreading Level: Unsafe

void im_register_module_version_date (char *date_string)

Register a new version date for the module.

Parameters:

- date_string : The date string.

Returns: Nothing.
Multithreading Level: Unsafe

void im_register_lib_version (char *version_string)

Register the library version a module was compiled with.

Parameters:

- version_string : The version string of the library.

Returns: Nothing.
Multithreading Level: Unsafe

Back to Karma Home Page